- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Math File Reference

`#include <math.h>`

Include dependency graph for Math:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Functions
template<typename T>
T | osg::absolute (T v)
| return the minimum of two values, equivalent to std::min.
float | osg::equivalent (float lhs, float rhs, float epsilon=1e-6)
| return true if float lhs and rhs are equivalent, meaning that the difference between them is less than an epsilon value which defaults to 1e-6.
double | osg::equivalent (double lhs, double rhs, double epsilon=1e-6)
| return true if double lhs and rhs are equivalent, meaning that the difference between them is less than an epsilon value which defaults to 1e-6.
template<typename T>
T | osg::minimum (T lhs, T rhs)
| return the minimum of two values, equivilent to std::min.
template<typename T>
T | osg::maximum (T lhs, T rhs)
| return the maximum of two values, equivilent to std::max.
template<typename T>
T | osg::clampTo (T v, T minimum, T maximum)
template<typename T>
T | osg::clampAbove (T v, T minimum)
template<typename T>
T | osg::clampBelow (T v, T maximum)
template<typename T>
T | osg::clampBetween (T v, T minimum, T maximum)
template<typename T>
T | osg::sign (T v)
template<typename T>
T | osg::square (T v)
template<typename T>
T | osg::signedSquare (T v)
float | osg::inDegrees (float angle)
double | osg::inDegrees (double angle)
template<typename T>
T | osg::inRadians (T angle)
float | osg::DegreesToRadians (float angle)
double | osg::DegreesToRadians (double angle)
float | osg::RadiansToDegrees (float angle)
double | osg::RadiansToDegrees (double angle)
bool | osg::isNaN (float v)
bool | osg::isNaN (double v)
template<typename T>
float | osg::computeVolume (const T &a, const T &b, const T &c, const T &d)
| compute the volume of a tetrahedron.
template<typename T>
float | osg::computeVolume (const T &f1, const T &f2, const T &f3, const T &b1, const T &b2, const T &b3)
| compute the volume of a prism.
## Variables
const double | osg::PI = 3.14159265358979323846
const double | osg::PI_2 = 1.57079632679489661923
const double | osg::PI_4 = 0.78539816339744830962